Subject: Re: bug#68254: EWW ‘readable’ by default

From: Eli Zaretskii <[email-masked]>
Date: Sat, 23 Mar 2024 09:48:17 +0200

> Date: Thu, 21 Mar 2024 22:46:50 -0700
> Cc: [email-masked], [email-masked]
> From: Jim Porter <[email-masked]>
> 
> I've tried to clarify this. By "string form", I meant the "string 
> regexp" mentioned previously; in my new patch, I describe that as "a 
> regular expression in string form".

Thanks.  The updated changeset LGTM, with a single minor comment:

> +(defcustom eww-readable-urls nil
> +  "A list of regexps matching URLs to display in readable mode by default.
> +Each element can be one of the following forms: a regular expression in
> +string form or a cons cell of the form (REGEXP . READABILITY).  If
> +READABILITY is non-nil, this behaves the same as the string form;
> +otherwise, URLs matching REGEXP will never be displayed in readable mode
> +by default."

The doc string of this user option should explain what is the
"readable mode", or at least have a hyper-link to eww-readable (which
does explain that).  Users who read this doc string should understand
what that mode does, and (unlike in the manual) there's no prior
context to rely upon.